# binary_function Struct Template Reference
[Functor Base Classes]

Inheritance diagram for binary_function:

List of all members.

## Detailed Description

### template<class _Arg1, class _Arg2, class _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >

This is one of the functor base classes.

Definition at line 114 of file stl_function.h.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Member Typedef Documentation

typedef _Arg1 first_argument_type

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef _Result result_type

| type of the return type Definition at line 120 of file stl_function.h.

typedef _Arg2 second_argument_type

| (no surprises here) the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h